

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)

	
	
	if node ~= 0 then
	
	  local pricebakedPotato = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter	
	
	  local bakedPotatoHudFile = "paletten/hud_fill_bakedPotato.dds"
	  local bakedPotatoHudFileSmall = "paletten/hud_fill_bakedPotato_sml.dds"
	
      print("Register filltype: bakedPotato")	
      local bakedPotatoFilType = g_fillTypeManager:addFillType("bakedPotato", g_i18n:getText("fillType_bakedPotato"), true, pricebakedPotato * 2.25, 0.00045, math.rad(10), bakedPotatoHudFile, bakedPotatoHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end
end

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasbakedPotato=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasbakedPotato=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end
		if fillname == "bakedPotato" then
		hasbakedPotato=true
	end
		
end

		if hasmaize and not hasbakedPotato then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("bakedPotato")
		local price = g_fillTypeManager:getFillTypeByName("bakedPotato").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("bakedPotato")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end
		
	end
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)