

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)

	
	
	if node ~= 0 then
	
      local pricesortedPotatoes = g_fillTypeManager:getFillTypeByName("POTATO").pricePerLiter
	
	  local sortedPotatoesHudFile = "paletten/hud_fill_sortedPotatoes.dds"
	  local sortedPotatoesHudFileSmall = "paletten/hud_fill_sortedPotatoes_sml.dds"
	
      print("Register filltype: sortedPotatoes")			
      local sortedPotatoesFilType = g_fillTypeManager:addFillType("sortedPotatoes", g_i18n:getText("fillType_sortedPotatoes"), true, pricesortedPotatoes * 2.25, 0.00045, math.rad(10), sortedPotatoesHudFile, sortedPotatoesHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end
end

function load(id, xmlFile, key,customEnvironment)
	local haspotato =false
	local hassortedPotatoes=false	
	
	
	local object=id
	if object == nil then
	else
	haspotato =false
	hassortedPotatoes=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "POTATO" then
		haspotato=true
	end
		if fillname == "sortedPotatoes" then
		hassortedPotatoes=true
	end
		
end

		if haspotato and not hasortedPotatoes then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("sortedPotatoes")
		local price = g_fillTypeManager:getFillTypeByName("sortedPotatoes").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("sortedPotatoes")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("POTATO")]
			object:initPricingDynamics()
		end
		
	end
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)