

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)

	
	
	if node ~= 0 then
	
	   local pricefrenchFries = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter	
	
	   local frenchFriesHudFile = "paletten/hud_fill_frenchFries.dds"
	   local frenchFriesHudFileSmall = "paletten/hud_fill_frenchFries_sml.dds"
	
       print("Register filltype: frenchFries")			
       local frenchFriesFilType = g_fillTypeManager:addFillType("frenchFries", g_i18n:getText("fillType_frenchFries"), true, pricefrenchFries * 2.25, 0.00045, math.rad(10), frenchFriesHudFile, frenchFriesHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	   g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end
end

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasfrenchFries=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasfrenchFries=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end
		if fillname == "frenchFries" then
		hasfrenchFries=true
	end
		
end

		if hasmaize and not hasfrenchFries then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("frenchFries")
		local price = g_fillTypeManager:getFillTypeByName("frenchFries").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("frenchFries")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end
	
	end
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)